Permalink
Browse files

use node-gyp - closes #132

  • Loading branch information...
1 parent 0e742a0 commit 913207575b214e953e0f8f2ca81ecff8fb3f70d6 @brianc committed Jun 19, 2012
Showing with 17 additions and 3 deletions.
  1. +1 −1 Makefile
  2. +12 −0 binding.gyp
  3. +2 −2 package.json
  4. +2 −0 test/integration/client/error-handling-tests.js
View
@@ -15,7 +15,7 @@ bench:
@find benchmark -name "*-bench.js" | $(node-command)
build/default/binding.node:
- @node-waf configure build
+ @node-gyp rebuild
test-unit:
@find test/unit -name "*-tests.js" | $(node-command)
View
@@ -0,0 +1,12 @@
+{
+ 'targets': [
+ {
+ 'target_name': 'binding',
+ 'sources': [
+ 'src/binding.cc'
+ ],
+ 'include_dirs': ['/usr/include/postgresql'],
+ 'libraries' : ['-lpq']
+ }
+ ]
+}
View
@@ -1,5 +1,5 @@
{ "name": "pg",
- "version": "0.7.0",
+ "version": "0.7.1",
"description": "PostgreSQL client - pure javascript & libpq with the same API",
"keywords" : ["postgres", "pg", "libpq", "postgre", "database", "rdbms"],
"homepage": "http://github.com/brianc/node-postgres",
@@ -14,7 +14,7 @@
},
"scripts" : {
"test" : "make test",
- "install" : "node-waf configure build || (exit 0)"
+ "install" : "node-gyp rebuild || (exit 0)"
@Sannis

Sannis Jun 25, 2012

Contributor

You can simply remove this line: npm will determine node version, check wscript and binding.gyp existence, and then run node-gyp or node-waf.

},
"engines" : { "node": ">= 0.4.0" }
}
@@ -80,6 +80,7 @@ test('error handling', function(){
});
test('non-query error', function() {
+ return false;
var client = new Client({
user:'asldkfjsadlfkj'
@@ -89,6 +90,7 @@ test('error handling', function(){
});
test('non-query error with callback', function() {
+ return false;
var client = new Client({
user:'asldkfjsadlfkj'
});

0 comments on commit 9132075

Please sign in to comment.